Botan 1.10.17

Classes | Namespaces | Macros | Functions
safeint.h File Reference
`#include <botan/exceptn.h>`
`#include <string>`

Go to the source code of this file.

## Classes
class | Botan::Integer_Overflow_Detected

## Namespaces
| Botan

## Macros
#define | BOTAN_CHECKED_ADD(x, y) checked_add(x,y,__FILE__,__LINE__)

## Functions
size_t | Botan::checked_add (size_t x, size_t y, const char *file, int line)

## Macro Definition Documentation

## ◆ BOTAN_CHECKED_ADD

#define BOTAN_CHECKED_ADD | ( |  | x,
|  |  | y
| ) |  | checked_add(x,y,__FILE__,__LINE__)

Definition at line 35 of file safeint.h.